summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Mário Antunes2013-07-06 16:23:50 +0200
committer Niels Horn2013-07-07 14:10:05 +0200
commitffcbd65584cf97fdb40266b6a4203992ec7805e1 (patch)
tree3e02c225bb3d9699ab14ef5d09c757ac7359e702 /network
parent6c2a71330b99e685bc1b6cdf8d0cc0c92feb2325 (diff)
downloadslackbuilds-ffcbd65584cf97fdb40266b6a4203992ec7805e1.tar.gz
network/jetty: Added (web server)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/jetty/README19
-rw-r--r--network/jetty/jetty.SlackBuild62
-rw-r--r--network/jetty/jetty.info10
-rw-r--r--network/jetty/slack-desc19
4 files changed, 110 insertions, 0 deletions
diff --git a/network/jetty/README b/network/jetty/README
new file mode 100644
index 0000000000..4a9b44dc52
--- /dev/null
+++ b/network/jetty/README
@@ -0,0 +1,19 @@
+Jetty provides a Web server and javax.servlet container, plus support
+for SPDY, WebSocket, OSGi, JMX, JNDI, JAAS and many other integrations.
+These components are open source and available for commercial use
+and distribution.
+
+Jetty is used in a wide variety of projects and products, both in
+development and production. Jetty can be easily embedded in devices,
+tools, frameworks, application servers, and clusters.
+
+This script repacks the tar.gz into a slackware package. It also
+links the startup script to /etc/rc.d/rc.jetty.
+
+## Startup To have this start upon each boot, add the following lines
+to /etc/rc.d/rc.local
+
+ # Start jetty
+ if [ -x /etc/rc.d/rc.jetty ]; then
+ /etc/rc.d/rc.jetty start
+ fi
diff --git a/network/jetty/jetty.SlackBuild b/network/jetty/jetty.SlackBuild
new file mode 100644
index 0000000000..a0525a3a57
--- /dev/null
+++ b/network/jetty/jetty.SlackBuild
@@ -0,0 +1,62 @@
+#!/bin/sh
+#
+# Slackware build script for openfire
+# Written by Mário Antunes (mariolpantunes@gmail.com)
+
+PRGNAM="jetty"
+#VERSION=${VERSION:-$(echo $PRGNAM*.tar.* | rev | cut -f 3- -d '.' | rev | cut -d '-' -f 3-)}
+VERSION=${VERSION:-9.0.4.v20130625}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-distribution-$VERSION.tar.gz
+cd $PRGNAM-distribution-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/opt/$PRGNAM/
+cp -a bin/ $PKG/opt/$PRGNAM/
+cp -a etc/ $PKG/opt/$PRGNAM/
+cp -a lib/ $PKG/opt/$PRGNAM/
+cp -a logs/ $PKG/opt/$PRGNAM/
+cp -a resources/ $PKG/opt/$PRGNAM/
+cp -a start.d/ $PKG/opt/$PRGNAM/
+cp -a start.ini $PKG/opt/$PRGNAM/
+cp -a start.jar $PKG/opt/$PRGNAM/
+cp -a webapps/ $PKG/opt/$PRGNAM/
+cp -a webapps.demo/ $PKG/opt/$PRGNAM/
+
+mkdir -p $PKG/etc/rc.d/
+ln -sv ../../opt/$PRGNAM/bin/jetty.sh $PKG/etc/rc.d/rc.jetty
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | \
+ grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a *.html *.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/jetty/jetty.info b/network/jetty/jetty.info
new file mode 100644
index 0000000000..03c90b14a4
--- /dev/null
+++ b/network/jetty/jetty.info
@@ -0,0 +1,10 @@
+PRGNAM="jetty"
+VERSION="9.0.4.v20130625"
+HOMEPAGE="http://www.eclipse.org/jetty/"
+DOWNLOAD="http://ftp.osuosl.org/pub/eclipse//jetty/stable-9/dist/jetty-distribution-9.0.4.v20130625.tar.gz"
+MD5SUM="805d2e2d5b3d6a15c6064726d6116911"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="jdk"
+MAINTAINER="Mário Antunes"
+EMAIL="mariolpantunes@gmail.com"
diff --git a/network/jetty/slack-desc b/network/jetty/slack-desc
new file mode 100644
index 0000000000..6243819565
--- /dev/null
+++ b/network/jetty/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+jetty: jetty (web server)
+jetty:
+jetty: Jetty provides a Web server and javax.servlet container, plus support
+jetty: for SPDY, WebSocket, OSGi, JMX, JNDI, JAAS and many others.
+jetty: These components are open source and available for commercial use and
+jetty: distribution.
+jetty: Jetty is used in a wide variety of projects and products, both in
+jetty: development and production. Jetty can be easily embedded in devices,
+jetty: tools, frameworks, application servers, and clusters. See the Jetty
+jetty: Powered page for more uses of Jetty.
+jetty: